#include<iostream>
#include<vector>
#include <algorithm>
using namespace std;
typedef long long ll;
typedef pair<int, int> pii;

std::vector<int> solve(std::vector<int> A) {
    vector<pii> packs(A.size());
    ll sum = 0;
    int N = A.size();
    for (int i = 0; i < A.size(); i++) {
        packs[i] = {A[i], i};
        sum += A[i];
    }
    sort(packs.rbegin(), packs.rend());
    ll M = (sum + 1)/2;
    vector<int> ans(N);
    vector<bool> used(N, false);
    ll P = 0;

    for (int i = 0; i < N; i++) {
        ans[i] = N - i - 1;
    }
    
    // while (P < M) {
    //     int idx = 0;
    //     while (idx < N - 1 && (P + packs[idx].first > M || used[packs[idx].second])) {
    //         idx++;
    //     }
    //     //cout << idx << endl;
    //     P += packs[idx].first;
    //     ans.push_back(packs[idx].second);
    //     used[packs[idx].second] = true;
    // }
    // for (int i = 0; i < N; i++) {
    //     if (!used[i]) ans.push_back(i);
    // }
    return ans;
}

// int main () {
//     ios_base::sync_with_stdio(false);
//     cin.tie(NULL);
//     int t;
//     cin >> t ;
//     for (int test=1; test<=t; test++) {
//         int n;
//         cin >> n ;
//         vector <int> a(n);
//         for (int i=0; i<n; i++) {
//             cin >> a[i] ;
//         }

//         for (auto ind : solve(a)) {
//             cout << ind << " ";
//         }
//         cout << endl ;
//     }
//     cout << endl ;
//     return 0;
// }